VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.PictureBox picGraph 
      Height          =   2535
      Left            =   0
      ScaleHeight     =   2475
      ScaleWidth      =   4395
      TabIndex        =   1
      Top             =   0
      Width           =   4455
   End
   Begin VB.HScrollBar scrGraph 
      Height          =   255
      Left            =   0
      TabIndex        =   0
      Top             =   2880
      Width           =   4575
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

' Draw the piece of the graph that should be visible now.
Private Sub DrawGraph()
Dim wid As Single
Dim hgt As Single
Dim xmin As Single
Dim xmax As Single
Dim X As Single
Dim Y As Single

    ' Clear.
    picGraph.Line (picGraph.ScaleLeft, picGraph.ScaleTop)-Step(picGraph.ScaleWidth, picGraph.ScaleHeight), picGraph.BackColor, BF

    ' Give the PictureBox a scale
    ' so we can draw in real coordinates.
    picGraph.ScaleMode = vbPixels
    wid = picGraph.ScaleWidth
    hgt = picGraph.ScaleHeight
    picGraph.ScaleTop = hgt / 2
    picGraph.ScaleHeight = -hgt
    xmin = scrGraph.Value
    xmax = xmin + wid
    picGraph.ScaleLeft = xmin
    picGraph.ScaleWidth = wid

    ' Draw the axis.
    picGraph.Line (xmin, 0)-(xmax, 0), vbBlack
    X = 25 * (xmin \ 25)
    Do While X < xmax
        X = X + 25
        If X Mod 100 = 0 Then
            picGraph.Line (X, 7)-Step(0, -14), vbBlack
            picGraph.CurrentX = X - picGraph.TextWidth(X) / 2
            picGraph.CurrentY = -10
            picGraph.Print X
        Else
            picGraph.Line (X, 3)-Step(0, -6), vbBlack
        End If
    Loop

    ' F(X) = 40 * Sin(X / 10) + 20 * Cos(X / 7)
    X = xmin
    picGraph.CurrentX = X
    picGraph.CurrentY = 40 * Sin(X / 10) + 20 * Cos(X / 7)
    Do While X < xmax
        X = X + 1
        picGraph.Line -(X, 40 * Sin(X / 10) + 20 * Cos(X / 7)), vbRed
    Loop

    ' F(X) = 20 * Sin(X / 20)
    X = xmin
    picGraph.CurrentX = X
    picGraph.CurrentY = 20 * Sin(X / 20)
    Do While X < xmax
        X = X + 1
        picGraph.Line -(X, 20 * Sin(X / 20)), vbBlue
    Loop

    ' F(X) = 40 * Sin(X / 11) * Cos(X / 13)
    X = xmin
    picGraph.CurrentX = X
    picGraph.CurrentY = 40 * Sin(X / 11) * Cos(X / 13)
    Do While X < xmax
        X = X + 1
        picGraph.Line -(X, 40 * Sin(X / 11) * Cos(X / 13)), vbWhite
    Loop

    picGraph.Picture = picGraph.Image
End Sub

Private Sub Form_Load()
    picGraph.AutoRedraw = True

    scrGraph.Min = 0
    scrGraph.Max = 1000

    Form_Resize
End Sub


Private Sub Form_Resize()
Dim hgt As Single

    ' Position the controls.
    hgt = ScaleHeight - scrGraph.Height
    If hgt < 120 Then hgt = 120
    picGraph.Move 0, 0, ScaleWidth, hgt
    scrGraph.Move 0, picGraph.Top + picGraph.Height, ScaleWidth

    ' Set the scroll bar's change properties.
    picGraph.ScaleMode = vbPixels
    scrGraph.LargeChange = picGraph.ScaleWidth
    scrGraph.SmallChange = picGraph.ScaleWidth / 5

    ' Redraw the picture.
    DrawGraph
End Sub

Private Sub scrGraph_Change()
    DrawGraph
End Sub

Private Sub scrGraph_Scroll()
    DrawGraph
End Sub
